Bug 259419 - deskutils/fet: update to 6.2.0
Summary: deskutils/fet: update to 6.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://www.lalescu.ro/liviu/fet/news...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-24 20:23 UTC by Zsolt Udvari
Modified: 2021-11-16 17:08 UTC (History)
2 users (show)

See Also:


Attachments
update to 6.2.0 (905 bytes, patch)
2021-10-24 20:23 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2021-10-24 20:23:11 UTC
Created attachment 229003 [details]
update to 6.2.0

Simple update to 6.2.0.
Comment 1 Nuno Teixeira freebsd_committer 2021-10-25 07:17:54 UTC
We can have a better Makefile formating (portfmt):

- USE_QT alphabetical list
- USE extra tabs in DESKTOP_ENTRIES to be more readable
- Put variables in each line in ONLYCL_VARS_OFF list

---
--- Makefile
+++ Makefile
@@ -16,16 +16,16 @@
 
 USES=		compiler:c++14-lang gl qmake qt:5 tar:bzip2
 USE_GL=		gl
+USE_QT=		core printsupport widgets buildtools_build
-USE_QT=		buildtools_build core printsupport widgets
 
 INSTALL_TARGET=	${WRKSRC}/fet-cl
 
+DESKTOP_ENTRIES=	"FET" \
+			"Free timetable software" \
+			"" \
+			"fet" \
+			"Education;Qt;" \
+			true
-DESKTOP_ENTRIES="FET" \
-		"Free timetable software" \
-		"" \
-		"fet" \
-		"Education;Qt;" \
-		true
 
 PORTEXAMPLES=	*
 
@@ -34,8 +34,9 @@
 
 ONLYCL_DESC=	Build only command line version (without Qt GUI)
 
+ONLYCL_VARS=		QMAKE_SOURCE_PATH=${WRKSRC}/src/src-cl.pro
+ONLYCL_VARS_OFF=	INSTALL_TARGET+=${WRKSRC}/fet \
+			USE_QT+="gui network"
-ONLYCL_VARS=	QMAKE_SOURCE_PATH=${WRKSRC}/src/src-cl.pro
-ONLYCL_VARS_OFF=	INSTALL_TARGET+=${WRKSRC}/fet USE_QT+="gui network"
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/share/fet|${DATADIR}|g' \
---
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-16 16:31:02 UTC
Take.
Comment 3 commit-hook freebsd_committer 2021-11-16 17:03:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=dc7653c0a8fee8f5f013caf539fc332cadc4ce42

commit dc7653c0a8fee8f5f013caf539fc332cadc4ce42
Author:     Zsolt Udvari <uzsolt@uzsolt.hu>
AuthorDate: 2021-10-24 20:23:11 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-11-16 17:02:33 +0000

    deskutils/fet: Update to 6.2.0

    While here, re-format Makefile with portfmt.

    ChangeLog:      https://www.lalescu.ro/liviu/fet/news.html
    PR:             259419

 deskutils/fet/Makefile | 21 +++++++++++----------
 deskutils/fet/distinfo |  6 +++---
 2 files changed, 14 insertions(+), 13 deletions(-)
Comment 4 Yasuhiro Kimura freebsd_committer 2021-11-16 17:08:25 UTC
Committed with refinement suggested by eduardo@. Thanks!